{% extends 'admin/adminbase.html.twig' %}
{% import "macros/datatable.html.twig" as dt %}

{% block body %}
    <div class="card-genossys">
        <h5>Produk</h5>
        <div class="pb-5">
            <div class="float-right">
                <a class="btn btn-primary" onclick="modalAdd()" href="#!">Tambah Produk</a>
            </div>
        </div>
        {{ dt.datatable }}
    </div>

    <div class="modal fade" id="modal" tabindex="-1" role="dialog" aria-labelledby="exampleModalCenterTitle"
         aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered" role="document">
            <div class="modal-content">
                <form method="post">
                    <input id="id" name="id" hidden>
                    <input id="action" name="action" hidden>
                    <div class="modal-header">
                        <h5 class="modal-title" id="exampleModalLongTitle">Form Produk</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <div class="form-group">
                            <label for="subjek">Nama Produk : </label>
                            <input type="text" class="form-control" id="name" name="name" placeholder="Tryout Online">
                        </div>
                        <div class="form-group">
                            <label for="subjek">Data </label>
                            <div class="input-field" id="div-img">
                                <select id="childSlug" name="childSlug" class="form-control">
                                    <option value="tryOut">Try Out</option>
                                    <option value="quizes">Quiz</option>
                                </select>
                            </div>
                        </div>
                        <div class="form-group">
                            <label for="subjek">Status </label>
                            <div class="input-field" id="div-img">
                                <select id="status" name="isActive" class="form-control">
                                    <option value="1">Aktif</option>
                                    <option value="0">Non aktif</option>
                                </select>
                            </div>
                        </div>

                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                        <button type="submit" class="btn btn-primary">Simpan</button>
                    </div>

                </form>
            </div>
        </div>
    </div>
{% endblock %}

{% block javascripts %}
    {{ dt.datatableJS(class, space, tableAction, tableFields,where) }}

    <script>

        function modalAdd() {
            $('#modal #id').val('');
            $('#modal #action').val('add');
            $('#modal #name').val('');
            $('#modal #status').val(1);
            $('#modal #childSlug').val("tryOut");

            $('#modal').modal();
        }

        $(document).on('click', 'a#editData', function () {
            $('#modal #id').val($(this).data('id'));
            $('#modal #action').val('edit');
            $('#modal #name').val($(this).data('name'));
            $('#modal #status').val($(this).data('isactive') === "" ?  0 : 1);
            $('#modal #childSlug').val($(this).data('childslug'));

            $('#modal').modal();
        });
    </script>
{% endblock %}